package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.DistrictInfo;


/**
*  service接口类
*/
public interface DistrictInfoService{

    List<DistrictInfo> getDistrictInfoList(DistrictInfo record);

    List<DistrictInfo> getDistrictInfoByPage(Page page, DistrictInfo record);

    DistrictInfo getDistrictInfoById(String id);

    DistrictInfo getDistrictInfo(DistrictInfo record);

    boolean createDistrictInfo(DistrictInfo record);

    boolean deleteDistrictInfo(String id);

    boolean updateDistrictInfo(DistrictInfo record);
}

